Debian Bug report logs - #638598
sinfo: FTBFS with ld --as-needed

version graph

Package: sinfo; Maintainer for sinfo is Jürgen Rinas <jrinas@gmx.de>; Source for sinfo is src:sinfo.

Reported by: Ilya Barygin <barygin@gmail.com>

Date: Sat, 20 Aug 2011 06:39:01 UTC

Severity: normal

Tags: patch, upstream

Found in version sinfo/0.0.42-1

Fixed in version sinfo/0.0.46-1

Done: Gaudenz Steinlin <gaudenz@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, barygin@gmail.com, Jürgen Rinas <jrinas@gmx.de>:
Bug#638598; Package sinfo. (Sat, 20 Aug 2011 06:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ilya Barygin <barygin@gmail.com>:
New Bug report received and forwarded. Copy sent to barygin@gmail.com, Jürgen Rinas <jrinas@gmx.de>. (Sat, 20 Aug 2011 06:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ilya Barygin <barygin@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sinfo: FTBFS with ld --as-needed
Date: Sat, 20 Aug 2011 10:35:30 +0400
Package: sinfo
Version: 0.0.42-1
Severity: normal
Tags: upstream patch
User: debian-gcc@lists.debian.org
Usertags: ld-as-needed

The package fails to build when --as-needed linker option is enabled,
because of incorrect order of parameters passed to ld. Here's a log of
failed build in Ubuntu:
https://launchpadlibrarian.net/76113262/buildlog_ubuntu-oneiric-i386.sinfo_0.0.42-1_FAILEDTOBUILD.txt.gz

See also
http://wiki.debian.org/ToolChain/DSOLinking#Only_link_with_needed_libraries

The following patch was used in Ubuntu to fix the problem.
https://launchpad.net/ubuntu/+source/sinfo/0.0.42-1ubuntu1

only in patch2:
unchanged:
--- sinfo-0.0.42.orig/sinfod/Makefile.am
+++ sinfo-0.0.42/sinfod/Makefile.am
@@ -31,13 +31,13 @@
 		$(BUILT_SOURCES)
 
 sinfod_LDADD = \
+	../librpc/librpc.la	\
 	../libsinfotypes/libsinfotypes.la		\
 	../libsinfometer/libsinfometer.la		\
 	../libmessage/libmessage.la	\
 	../libmessageparser/libmessageparser.la	\
 	../libmessageiobase/libmessageiobase.la	\
 	../libmessageio/libmessageio.la	\
-	../librpc/librpc.la	\
 	-lpthread -lboost_signals-mt
 
 MAINTAINERCLEANFILES = \
only in patch2:
unchanged:
--- sinfo-0.0.42.orig/sinfod/Makefile.in
+++ sinfo-0.0.42/sinfod/Makefile.in
@@ -266,13 +266,13 @@
 		$(BUILT_SOURCES)
 
 sinfod_LDADD = \
+	../librpc/librpc.la	\
 	../libsinfotypes/libsinfotypes.la		\
 	../libsinfometer/libsinfometer.la		\
 	../libmessage/libmessage.la	\
 	../libmessageparser/libmessageparser.la	\
 	../libmessageiobase/libmessageiobase.la	\
 	../libmessageio/libmessageio.la	\
-	../librpc/librpc.la	\
 	-lpthread -lboost_signals-mt
 
 MAINTAINERCLEANFILES = \

-- System Information:
Debian Release: wheezy/sid
  APT prefers oneiric
  APT policy: (500, 'oneiric')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-11-generic (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Reply sent to Gaudenz Steinlin <gaudenz@debian.org>:
You have taken responsibility. (Sat, 30 Jun 2012 00:27:03 GMT) Full text and rfc822 format available.

Notification sent to Ilya Barygin <barygin@gmail.com>:
Bug acknowledged by developer. (Sat, 30 Jun 2012 00:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 638598-close@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: 638598-close@bugs.debian.org
Subject: Bug#638598: fixed in sinfo 0.0.46-1
Date: Sat, 30 Jun 2012 00:24:37 +0000
Source: sinfo
Source-Version: 0.0.46-1

We believe that the bug you reported is fixed in the latest version of
sinfo, which is due to be installed in the Debian FTP archive:

sinfo_0.0.46-1.debian.tar.gz
  to main/s/sinfo/sinfo_0.0.46-1.debian.tar.gz
sinfo_0.0.46-1.dsc
  to main/s/sinfo/sinfo_0.0.46-1.dsc
sinfo_0.0.46-1_amd64.deb
  to main/s/sinfo/sinfo_0.0.46-1_amd64.deb
sinfo_0.0.46.orig.tar.gz
  to main/s/sinfo/sinfo_0.0.46.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 638598@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gaudenz Steinlin <gaudenz@debian.org> (supplier of updated sinfo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 29 Jun 2012 17:05:40 +0200
Source: sinfo
Binary: sinfo
Architecture: source amd64
Version: 0.0.46-1
Distribution: unstable
Urgency: low
Maintainer: Jürgen Rinas <jrinas@gmx.de>
Changed-By: Gaudenz Steinlin <gaudenz@debian.org>
Description: 
 sinfo      - tool for monitoring computer clusters using broadcasts
Closes: 638598
Changes: 
 sinfo (0.0.46-1) unstable; urgency=low
 .
   * [1ded3a2] Change order of libs to fix FTBS with --as-needed.
     Thanks to Ilya Barygin for the patch. (Closes: #638598)
   * [1d8fad4] Imported Upstream version 0.0.46
   * [7b82716] Convert to dpkg v3 source format
   * [1add553] Update Debian policy version (no changes)
   * [eeb01de] Convert debian/rules to dh command sequencer
   * [82f10ef] Remove no longer needed FTBS fix for GCC 4.4
Checksums-Sha1: 
 9c4e82b75f15620fb86e6495fb3fcdb2ee180955 1447 sinfo_0.0.46-1.dsc
 4667ec130687281c6d1c8740d2b8a289751fbd56 659279 sinfo_0.0.46.orig.tar.gz
 5d45c4d5a6d85ca2b15eeccecdeb21b164fb8173 15251 sinfo_0.0.46-1.debian.tar.gz
 644fef0f857fa8cf3e8b6eb209371cd5a0a2a115 677746 sinfo_0.0.46-1_amd64.deb
Checksums-Sha256: 
 2bef747236a287ee27612262ee46c926d384a372f5e5a4312685840755caa3f7 1447 sinfo_0.0.46-1.dsc
 9c4599cc4de214e1bb2f4bf4d4f97d17ad03fefdeca22b4341105186aa16cc96 659279 sinfo_0.0.46.orig.tar.gz
 c59bad21f1b5a9a6af08c73bd06f2215bc6e74cbf1682cea76ae4549785d0e8d 15251 sinfo_0.0.46-1.debian.tar.gz
 39339561cb327313321e4c8312b0eaaba5f198420a5ec83d383fdfc4afc5a067 677746 sinfo_0.0.46-1_amd64.deb
Files: 
 36e2cdbe851eb8ec705ea96be0acfbb7 1447 net optional sinfo_0.0.46-1.dsc
 dd194346a717d217273ec3b7bb194da1 659279 net optional sinfo_0.0.46.orig.tar.gz
 cc4d91bc7f5cdd724a164187d7e87e09 15251 net optional sinfo_0.0.46-1.debian.tar.gz
 72e2b8d5d2162d878525a749d43dd4f0 677746 net optional sinfo_0.0.46-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEVAwUBT+3GU00yN7tZsYcyAQrdlwf9EoKG3MHQvYOki1ng0D4XV9YWCfkRXJGq
p2g1TQwyNB9fQDmckIgtdMrbTHVGAHpEZz0EBjXvk7Ulm/f1x/Xb6aRBpdk+Iec1
HNSeDPMnDEZEzXMwXtx52dV+djV8vKyLw6pqs2cHGk6I+iJXq+5/dePbbWMaSQWN
V25kjlrhruSyUa85G1tqdgvZhiqmMiyHO4qtsVnTbvImUggxHp4IgYEMy5U8kvFG
CtEn900CTiwIZ9lzi27MZja7pV5JNrptgEX+MMq+k0cYFezTriL+ZYBnccW/s1ZR
j/2ymZ5PLAs5hA35YwSRJMAUa+nHo0cB/si2+QqyJv70Wb3SLPVxNw==
=N9cC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Jul 2012 07:41:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:41:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.